# List of software (un)affected by the log4shell CVEs
[About this list](README.md)

[0-9](software_list_0-9.md) [A](software_list_a.md) [B](software_list_b.md) [C](software_list_c.md) [D](software_list_d.md) [E](software_list_e.md) [F](software_list_f.md) [G](software_list_g.md) [H](software_list_h.md) [I](software_list_i.md) [J](software_list_j.md) [K](software_list_k.md) [L](software_list_l.md) [M](software_list_m.md) [N](software_list_n.md) [O](software_list_o.md) [P](software_list_p.md) [Q](software_list_q.md) [R](software_list_r.md) [S](software_list_s.md) [T](software_list_t.md) [U](software_list_u.md) [V](software_list_v.md) [W](software_list_w.md) [X](software_list_x.md) [Y](software_list_y.md) [Z](software_list_z.md)

### W

| Supplier | Product | Version (see Status) | Status CVE-2021-4104 | Status CVE-2021-44228 | Status CVE-2021-45046 | Status CVE-2021-45105 | Notes | Links |
|:---------|:--------|:--------------------:|:--------------------:|:---------------------:|:---------------------:|:---------------------:|:------|------:|
|WAGO|Smart Script|4.2.x < 4.8.1.3|Not vuln|Fix| | | |[WAGO Website](https://www.wago.com/de/automatisierungstechnik/psirt#log4j)|
|Wallarm|All           |   | |          | | |                                       |[Lab Mitigation Update](https://lab.wallarm.com/cve-2021-44228-mitigation-update/)|
|Wallix |Access Manager|All| |Vulnerable| | | Patch planned by end of december 2021 |[source](https://www.wallix.com/fr/support/alerts/)|
|Wasp Barcode technologies|All| | | | | | |[Waspbarcode Assetcloud Inventorycloud](https://support.waspbarcode.com/kb/articles/assetcloud-inventorycloud-are-they-affected-by-the-java-exploit-log4j-no)|
|Watcher|All|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://twitter.com/felix_hrn/status/1470387338001977344)|
|WatchGuard|AuthPoint|Cloud|Not vuln|Fix| | |See link|[source](https://techsearch.watchguard.com/KB?type=Security%20Issues&amp;SFDCID=kA16S000000SNnuSAG&amp;lang=en_US)|
|WatchGuard|Dimension|-|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.secplicity.org/2021/12/10/critical-rce-vulnerability-in-log4js/)|
|WatchGuard|EPDR and Panda AD360|-|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.secplicity.org/2021/12/10/critical-rce-vulnerability-in-log4js/)|
|WatchGuard|Firebox|-|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.secplicity.org/2021/12/10/critical-rce-vulnerability-in-log4js/)|
|WatchGuard|Secplicity| | | | | | |[Secplicity Critical RCE](https://www.secplicity.org/2021/12/10/critical-rce-vulnerability-in-log4js/)|
|WatchGuard|System Manager, Dimension,   EPDR and Panda AD360|-|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.secplicity.org/2021/12/10/critical-rce-vulnerability-in-log4js/)|
|WatchGuard|Threat Detection and Response|Cloud|Not vuln|Fix| | |See link|[source](https://techsearch.watchguard.com/KB?type=Security%20Issues&amp;SFDCID=kA16S000000SNnuSAG&amp;lang=en_US)|
|WatchGuard|Wi-Fi Cloud|Cloud|Not vuln|Fix| | |See link|[source](https://techsearch.watchguard.com/KB?type=Security%20Issues&amp;SFDCID=kA16S000000SNnuSAG&amp;lang=en_US)|
|Weblib|Ucopia| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](/NCSC-NL/log4shell/blob/main/software/vendor-statements/Ucopia.png)|
|Western Digital|All| | | | | | |[Westerndigital Product Security](https://www.westerndigital.com/support/product-security/wdc-21016-apache-log4j-2-remote-code-execution-vulnerability-analysis)|
|Wibu Systems|CodeMeter Cloud Lite|> 2.2|Not vuln|Fix| | | |[source](https://cdn.wibu.com/fileadmin/wibu_downloads/security_advisories/Advisory_WIBU-211213-01.pdf)|
|Wibu Systems|CodeMeter Keyring for TIA Portal|> 1.30|Not vuln|Fix| | |Only the Password Manager is affected|[source](https://cdn.wibu.com/fileadmin/wibu_downloads/security_advisories/Advisory_WIBU-211213-01.pdf)|
|WildFly|All|< 22|Not vuln|Not vuln|Not vuln|Not vuln|No log4j artifact shipped|[source](https://www.wildfly.org/news/2021/12/13/Log4j-CVEs/)|
|WildFly|All|> 26.0.0.Final|Not vuln|Not vuln|Not vuln|Not vuln|ships log4j-api where version matches patched version|[source](https://www.wildfly.org/news/2021/12/13/Log4j-CVEs/)|
|WildFly|All|>= 22; <= 26.0.0.Beta1|Not vuln|Not vuln|Not vuln|Not vuln|ships log4j-api but not vulnerable code from log4j-core; version of log4j-api might seem to be vulnerable but is not|[source](https://www.wildfly.org/news/2021/12/13/Log4j-CVEs/)|
|Wind River|Linux|<= 8|Not vuln|Not vuln|Not vuln|Not vuln|contain package log4j, but their version is 1.2.x, too old to be affected|[source](https://support2.windriver.com/index.php?page=security-notices&amp;on=view&amp;id=7191)|
|Wind River|Linux|> 8|Not vuln|Not vuln|Not vuln|Not vuln|no support for log4j|[source](https://support2.windriver.com/index.php?page=security-notices&amp;on=view&amp;id=7191)|
|WindRiver|All| | | | | | |[Windriver Security Notice](https://support2.windriver.com/index.php?page=security-notices&amp;on=view&amp;id=7191)|
|Wireshark|All| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.wireshark.org/news/20211215.html)|
|Wistia|All| | | | | | |[Wistia Incidents](https://status.wistia.com/incidents/jtg0dfl5l224)|
|WitFoo|Precinct|6.x|Not vuln|Fix| | |WitFoo Streamer &amp; Apache Kafka Docker containers are/were vulnerable|[source](https://www.witfoo.com/blog/emergency-update-for-cve-2021-44228-log4j/)|
|WordPress|All| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://wordpress.org/support/topic/is-the-log4j-vulnerability-an-issue/)|
|Worksphere|All| | | | | | |[Workspace Security Update](https://www.worksphere.com/product/security-update-on-log4j-cve-2021-44228)|
|Wowza|Streaming Engine|4.7.8, 4.8.x|Not vuln|Workaround| | | |[source](https://www.wowza.com/docs/known-issues-with-wowza-streaming-engine#log4j2-cve)|
|WSO2|API Manager|>= 3.0.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|API Manager Analytics|>= 2.6.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Enterprise Integrator|>= 6.1.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Enterprise Integrator Analytics|>= 6.6.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Identity Server|>= 5.9.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Identity Server Analytics|>= 5.7.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Identity Server as Key Manager|>= 5.9.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Micro Gateway|>= 3.2.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Micro Integrator|>= 1.1.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Micro Integrator Dashboard|>= 4.0.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Micro Integrator Monitoring Dashboard|>= 1.0.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Open Banking AM|>= 2.0.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Open Banking BI|>= 1.3.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Open Banking KM|>= 2.0.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Stream Integrator|>= 1.0.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Stream Integrator Tooling|>= 1.0.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
|WSO2|Stream Processor|>= 4.0.0|Not vuln|Workaround| | | |[source](https://docs.wso2.com/pages/viewpage.action?pageId=180948677)|
